aboutsummaryrefslogtreecommitdiff
path: root/tests/scripts/gen-simple
diff options
context:
space:
mode:
Diffstat (limited to 'tests/scripts/gen-simple')
-rwxr-xr-xtests/scripts/gen-simple14
1 files changed, 14 insertions, 0 deletions
diff --git a/tests/scripts/gen-simple b/tests/scripts/gen-simple
new file mode 100755
index 0000000..cf4c35c
--- /dev/null
+++ b/tests/scripts/gen-simple
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+mkdir -p $(for d in "${@}"; do echo "$d"; done | uniq | sed "s|^|reports/|")
+
+for s in "${@}"
+do
+ echo ".PHONY: $s" >> tests.mk
+ echo "$s:" >> tests.mk
+ echo " @../ek $s/$s.ek > reports/$s/log 2>&1\\" >> tests.mk
+ echo " && echo OK > reports/$s/OK \\" >> tests.mk
+ echo " || echo ERR > reports/$s/OK" >> tests.mk
+done
+
+echo "TESTS += " "${@}" >> tests.mk